## BtIcRegistry BtIcRegistry — buzztraxs interaction controller registry |

## Functions

BtIcRegistry * | btic_registry_new ()
void | btic_registry_add_device ()
BtIcDevice * | btic_registry_get_device_by_name ()
void | btic_registry_remove_device_by_udi ()

## Properties

gpointer | devices | Read

## Types and Values

struct | BtIcRegistry

## Object Hierarchy

        GObject
        ╰── BtIcRegistry

## Includes

    #include <libbtic/ic.h>

## Description

Manages a dynamic list of controller devices. It uses a discoverer helper to scan devices. Right now GUdev is supported.

## Functions

### btic_registry_new ()

    BtIcRegistry *
    btic_registry_new (void);

Create a new instance

#### Returns

the new instance

### btic_registry_add_device ()

    void
    btic_registry_add_device (BtIcDevice *device);

Add the given device to the registry.

Only to be used by discoverers.

#### Parameters

device | new device |

### btic_registry_get_device_by_name ()

    BtIcDevice *
    btic_registry_get_device_by_name (const gchar *name);

Find the device identified by the given `name` in the registry.

#### Parameters

name | device name |

#### Returns

a ref to the device or `NULL`.

[transfer full]

Since: 0.9

### btic_registry_remove_device_by_udi ()

    void
    btic_registry_remove_device_by_udi (const gchar *udi);

Remove device identified by the given `udi` from the registry.

Only to be used by discoverers.

#### Parameters

udi | device id |

## Types and Values

### struct BtIcRegistry

    struct BtIcRegistry;

buzztraxs interaction controller registry

## Property Details

### The `“devices”` property

      “devices”                  gpointer

A copy of the list of control devices.

Flags: Read